src/Entity/Delivery.php
<?php

namespace App\Entity;

use App\Interface\MoveProductionByStockInterface;
use App\Repository\DeliveryRepository;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;

#[ORM\Entity(repositoryClass: DeliveryRepository::class)]
#[UniqueEntity('num_delivery')]
class Delivery implements MoveProductionByStockInterface
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private int $id;

    #[ORM\Column(length: 255, unique: true)]
    private string $num_delivery;

    #[ORM\Column(length: 255)]
    private string $product;
    #[ORM\Column]
    private int $quantity = 0;

    #[ORM\Column]
    private float $price = 0;

    #[ORM\Column(type: Types::DATE_IMMUTABLE)]
    private \DateTimeImmutable $date_delivery;

    #[ORM\ManyToOne(inversedBy: 'deliveries')]
    private ?Stock $stock = null;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     * @return Delivery
     */
    public function setId(int $id): Delivery
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return string
     */
    public function getNumDelivery(): string
    {
        return $this->num_delivery;
    }

    /**
     * @param string $num_delivery
     * @return Delivery
     */
    public function setNumDelivery(string $num_delivery): Delivery
    {
        $this->num_delivery = $num_delivery;
        return $this;
    }

    /**
     * @return string
     */
    public function getProduct(): string
    {
        return $this->product;
    }

    /**
     * @param string $product
     * @return Delivery
     */
    public function setProduct(string $product): Delivery
    {
        $this->product = $product;
        return $this;
    }

    /**
     * @return int
     */
    public function getQuantity(): int
    {
        return $this->quantity;
    }

    /**
     * @param int $quantity
     * @return Delivery
     */
    public function setQuantity(int $quantity): Delivery
    {
        $this->quantity = $quantity;
        return $this;
    }

    /**
     * @return float
     */
    public function getPrice(): float
    {
        return $this->price;
    }

    /**
     * @param float $price
     * @return Delivery
     */
    public function setPrice(float $price): Delivery
    {
        $this->price = $price;
        return $this;
    }

    /**
     * @return \DateTimeImmutable
     */
    public function getDate(): \DateTimeImmutable
    {
        return $this->date_delivery;
    }

    /**
     * @param \DateTimeImmutable $date_delivery
     * @return Delivery
     */
    public function setDateDelivery(\DateTimeImmutable $date_delivery): Delivery
    {
        $this->date_delivery = $date_delivery;
        return $this;
    }

    public function getStock(): ?Stock
    {
        return $this->stock;
    }

    public function setStock(?Stock $stock): self
    {
        $this->stock = $stock;

        return $this;
    }

    public function __toString()
    {
        return $this->product;
    }

}

templates/index/index.html.twig
{% extends 'base.html.twig' %}

{% block body %}
    {% block nav %}
        <nav class="navbar navbar-dark  mb-5" style="background: rgb(201,23,183); background: linear-gradient(90deg, rgba(201,23,183,1) 38%, rgba(158,23,159,1) 63%, rgba(93,5,119,1) 89%);">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">
                    <h1 class="mx-5"><i>WAREHOUSE</i></h1>
                </a>
            </div>
        </nav>
    {% endblock nav %}
    {% block content %}
        <div class="container row m-auto">
            <div class="form col-4  m-auto p-2 shadow p-3 rounded" >
                <h3>Выберите дату</h3>
                    {{ form_start(datePickerForm) }}
                    <div  class="form-group mt-3">
                        {{ form_widget(datePickerForm.date) }}
                    </div>
                    <div  class="form-group mt-3 text-end">
                        {{ form_widget(datePickerForm.submit) }}
                    </div>
                    {{ form_end(datePickerForm) }}
            </div>
            <div class="col-6 m-auto p-2 shadow p-5 rounded">
                <h3>Информация о товаре:</h3>
                <div class="w-100 d-flex justify-content-between mb-3 bg-primary text-white p-2 rounded">
                    <span>Товар</span>
                    <span>Остаток</span>
                    <span>Себестоимость</span>
                    <span>Цена с наценкой</span>
                </div>
                {% for key, product in products %}
                    <div class=" d-flex justify-content-between align-item-center mb-2  text-white p-2 rounded" style="background: rgb(201,23,183);">
                        <span>{{ product.name }}</span>
                        <span>{{ product.quantity }}</span>
                        <span>{{ product.price }}</span>
                        <span>{{ product.marginPrice }}</span>
                    </div>
                {% endfor %}
            </div>
        </div>
    {% endblock content %}
{% endblock %}